Name: fsverity-utils
Version: 1.0
Release: 2%{?dist}
Summary: fsverity utilities

License: BSD
URL:     https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git
Source0: https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/fsverity-utils.git/snapshot/fsverity-utils-1.0.tar.gz

BuildRequires: gcc make
BuildRequires: kernel-headers glibc-headers
BuildRequires: openssl-devel

%description
This is fsverity, a userspace utility for fs-verity.
fs-verity is a Linux kernel feature that does transparent on-demand
integrity/authenticity verification of the contents of read-only files,
using a hidden Merkle tree (hash tree) associated with the file.
The mechanism is similar to dm-verity, but implemented at the file level
rather than at the block device level. The fsverity utility allows you
to set up fs-verity protected files.

%prep
%autosetup %{name}-%{version}

%build
# Install into /usr/bin
sed -ie 's,\(install.*$(DESTDIR)/\)bin,\1usr/bin,' Makefile
make CFLAGS="%{optflags}" %{_smp_mflags}

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/fsverity

%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 04 2019 Colin Walters <walters@verbum.org> - 1.0-1
- Initial version
